package project.chat.controller;

import java.util.ArrayList;
import java.util.List;

import javax.faces.context.FacesContext;
import javax.faces.event.ActionEvent;

import project.chat.model.UserBean;

public class ChatController {
	private List<String> chatRows = new ArrayList<String>();
	private String chatMessage = "";

	public ChatController() {
		
	}

	public synchronized void setChatMessage(String chatMessage) {
		this.chatMessage = chatMessage;
	}

	public String getChatMessage() {
		return chatMessage;
	}
	
	public String getOutputText() {
		StringBuilder outputBuilder = new StringBuilder();
		for(String row:chatRows){
			outputBuilder.append(row + "\n");
		}
		return outputBuilder.toString();
	}
	
	public synchronized void sendListener(ActionEvent event){
		chatRows.add(chatMessage);
		chatMessage = "";
	}
}
